Skip to content

tagfolder/delete

Deletes a tag folder.

Method and path

GET /tagfolder/delete/{project_id}/{folder_id}

Authentication

Authentication is required. See Authentication.

Permissions

Accessible to tier 1, 2, and 3 users.

Request headers

HeaderRequiredDescription
X-Api-Key or X_API_KEYyesAPI key.

Path parameters

ParameterTypeRequiredDescription
project_idintegeryesProject identifier.
folder_idintegeryesFolder identifier.

Example request

bash
curl "$SIGNAL_API_BASE_URL/tagfolder/delete/<project_id>/<folder_id>" \
  -H "X-Api-Key: $SIGNAL_API_KEY"

Example response

json
{
  "deleted": true
}

Response fields

FieldTypeDescription
deletedbooleanDeletion flag.

Notes

  • Before deleting the folder, the endpoint reassigns tags from that folder to the default folder with id 1.

Doc rev.1.12.3 2026.05.08